Bug 1524934 (CVE-2017-17512) - CVE-2017-17512 sensible-utils: Argument injection in sensible-browser
Summary: CVE-2017-17512 sensible-utils: Argument injection in sensible-browser
Status: CLOSED UPSTREAM
Alias: CVE-2017-17512
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171114,repor...
Keywords: Security
Depends On: 1524935 1524936
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-12 10:25 UTC by Andrej Nemec
Modified: 2019-06-08 22:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:34:04 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-12-12 10:25:22 UTC
sensible-browser in sensible-utils before 0.0.11 does not validate strings before launching the program specified by the BROWSER environment variable, which allows remote attackers to conduct argument-injection attacks via a crafted URL, as demonstrated by a --proxy-pac-file argument.

Debian bug:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=881767

References:

http://metadata.ftp-master.debian.org/changelogs/main/s/sensible-utils/sensible-utils_0.0.11_changelog

Comment 1 Andrej Nemec 2017-12-12 10:26:00 UTC
Created sensible-utils tracking bugs for this issue:

Affects: epel-7 [bug 1524936]
Affects: fedora-all [bug 1524935]

Comment 2 Geoffrey Marr 2017-12-14 18:50:37 UTC
Seems to be fixed with newest 0.0.11 update.

Comment 3 Product Security DevOps Team 2019-06-08 03:34:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.